<?php
define('WP_USE_THEMES', false);
require_once('../../../wp-load.php');
global $XH_Wechat_Payment_WC_Payment_Gateway;
$data = $_POST;
if(!isset($data['hash'])
    ||!isset($data['trade_order_id'])){
        exit('faild!');
}
if(isset($data['plugins'])&&$data['plugins']!='woo-wechat'){
    return;
}

$appkey =$XH_Wechat_Payment_WC_Payment_Gateway->get_option('appsecret');
$hash =$XH_Wechat_Payment_WC_Payment_Gateway->generate_xh_hash($data,$appkey);
if($data['hash']!=$hash){
    return;
}
$order = wc_get_order($data['trade_order_id']);
try{
    if(!$order){
        throw new Exception('Unknow Order (id:'.$data['trade_order_id'].')');
    }

    if(!(method_exists($order, 'is_paid')?$order->is_paid():in_array($order->get_status(),  array( 'processing', 'completed' )))&&$data['status']=='OD'){
        $order->payment_complete(isset($data['transacton_id'])?$data['transacton_id']:'');
    }
}catch(Exception $e){
    //looger
    $logger = new WC_Logger();
    $logger->add( 'xh_wedchat_payment', $e->getMessage() );

    $params = array(
        'action'=>'fail',
        'appid'=>$XH_Wechat_Payment_WC_Payment_Gateway->get_option('appid'),
        'errcode'=>$e->getCode(),
        'errmsg'=>$e->getMessage()
    );

    $params['hash']=$XH_Wechat_Payment_WC_Payment_Gateway->generate_xh_hash($params, $appkey);
    ob_clean();
    print json_encode($params);
    exit;
}
print 'success';
exit;